Bug 108743 - SessionManager.getSession() returns null when called from a background java.util.TimerTask thread
Summary: SessionManager.getSession() returns null when called from a background java.u...
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 20:27 UTC by Vadim Nasardinov
Modified: 2008-01-03 20:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 20:05:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vadim Nasardinov 2003-10-31 20:27:54 UTC
I have a vague feeling this might have been reported already,
but I can't find it, so here goes.

The SimpleQueueManager and RequestManager timer tasks fail
with the following exceptions

java.lang.NullPointerException
  at com.arsdigita.notification.SimpleQueueManager.run(SimpleQueueManager.java:59)
  at java.util.TimerThread.mainLoop(Timer.java:430)
  at java.util.TimerThread.run(Timer.java:380)
java.lang.NullPointerException
  at com.arsdigita.notification.RequestManager$1.excurse(RequestManager.java:96)
  at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
  at com.arsdigita.notification.RequestManager.run(RequestManager.java:204)
  at java.util.TimerThread.mainLoop(Timer.java:430)
  at java.util.TimerThread.run(Timer.java:380)


In both case, the offending line is the second one in the following
snippet:

        Session session = SessionManager.getSession();
        session.getTransactionContext().beginTxn();

Instrumenting either class with a few log4j statements shows that
it is the "session" object that is null.  

I am at //core-platform/dev/...@37563 or thereabouts.

Comment 1 Vadim Nasardinov 2003-11-05 18:06:02 UTC
Is bug 109215 related to this?


Comment 2 Vadim Nasardinov 2003-11-12 19:57:26 UTC
I think this was fixed as part of bug 109391.


Comment 3 David Lawrence 2006-07-18 03:12:32 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.